/**
 * 从数组中移除指定的值
 *
 * @param arr - 要操作的数组
 * @param values - 要移除的值列表
 * @returns 返回移除的元素数量
 *
 * @example
 * ```typescript
 * const arr = [1, 2, 3, 4, 5, 2, 3];
 *
 * // 移除所有值为2和3的元素，返回移除数量
 * remove(arr, 2, 3);  // 返回: 3
 * console.log(arr);   // 输出: [1, 4, 5]
 *
 * ```
 */
declare function remove<T>(arr: T[], ...args: T[]): number;

export { remove };
