interface GetClassStaticValueOptions {
    merge?: 'none' | 'merge' | 'uniqueMerge';
    default?: any;
}
/**
 *
 * 获取继承链上指定字段的值
 * 获取类的静态变量值，会沿继承链向上查找，并能自动合并数组和{}值
 *
 * calss A{
 *     static settings={a:1}
 * }
 * calss A1 extends A{
 *     static settings={b:2}
 * }
 *
 * getStaticFieldValue(new A1(),"settings") ==== {a:1,b:2}
 *
 * @param instanceOrClass
 * @param fieldName
 * @param options
 */
declare function getClassStaticValue<T = any>(instanceOrClass: object, fieldName: string, options?: GetClassStaticValueOptions): T;

export { type GetClassStaticValueOptions, getClassStaticValue };
