import { SetByPathOptions } from '../object/setByPath.mjs';

/**
 *
 * 一个字典对象，用于存储键值对并提供便捷的访问方法
 *
 *  let dict = new Dict({a:1,b:2})
 *  dict.get('a') // 1
 *  dict.set("a",2)
 *  dict.set('a.b',3)
 *
 *
 */
interface DictOptions {
}
declare class Dict<T extends Record<string, any> = Record<string, any>> {
    private _values;
    constructor(obj?: T);
    get(keyOrPath: string, defaultValue?: any): any;
    set(keyOrPath: string, value: any, options?: SetByPathOptions): void;
    has(keyOrPath: string): boolean;
}

export { Dict, type DictOptions };
