interface DictArrayOptions {
    defaultField: string;
    includeDefaultField: boolean;
}
/**
 * 对成员是{}的数组内容进行规范化处理
 *  [{},{},"",{},{}]
 *  dictArray具有以下特征:
 *  1. 每一项均是一个{}
 *  2. 数组成员可以写省略项，如[{name:"xx“，...},{name:"",},"tom",{name:"",...}]，
 *   其中的tom代表是{}中的某个字段，在进行处理后将变成[{name:"xx“，...},{name:"",},{name:"tom",..默认项.},{name:"",...}]
 *  3. 如果输入的是{}，则转换成[{..}]
 *  4. 如果是其他非{}和Array，则按省略项进行处理，如dictArray("tom")==> [{name:"tom",..默认项.}]
 *  5. 可以指定其中的一个为default=true
 *
 *
 *
 *  dictArray
 *
 *
 *
 * @param items
 * @param defaultItem           提供默认值
 * @param options ={
 *  defaultField:<声明默认字段，>>}
 * @constructor
 */
declare function dictArray<Item>(items: any[], defaultItem: Partial<Item> & {
    default?: boolean;
}, options?: DictArrayOptions): any[];

export { type DictArrayOptions, dictArray };
