import { TreeNodeBase, TreeNode, TreeNodeOptions } from './tree/types.mjs';

/**
 * 深度优先的树遍历
 * @param treeData
 * @param callback
 * @param options
 * @returns
 */
declare function forEachTreeByDfs<Node extends TreeNodeBase = TreeNode, Path = string>(treeData: Node[] | Node, callback: IForEachTreeCallback<Node, Path>, options?: ForEachTreeOptions): void;

type IForEachTreeCallback<Node, Path = string> = ({ node, level, parent, path, index }: {
    node: Node;
    level: number;
    parent?: Node | null;
    path: Path[];
    index: number;
}) => any;
interface ForEachTreeOptions extends TreeNodeOptions {
    startId?: string | number | null;
    level?: number;
}
declare const forEachTree: typeof forEachTreeByDfs;

export { type ForEachTreeOptions as F, type IForEachTreeCallback as I, forEachTreeByDfs as a, forEachTree as f };
