import '../types.mjs';
import { AsyncFunction } from '../types/asyncFunction.mjs';
import '../types/JsonObject.mjs';
import '../types/merge.mjs';
import '../types/union.mjs';
import '../types/collection.mjs';
import '../types/mutableRecordList.mjs';
import '../types/mutableRecord.mjs';
import '../types/timeDuration.mjs';
import '../types/fileSize.mjs';
import '../types/rename.mjs';
import '../types/class.mjs';
import '../types/changeFieldType.mjs';
import '../types/syncFunction.mjs';
import '../types/implementOf.mjs';
import '../types/argument.mjs';
import '../types/lastArgument.mjs';
import '../types/allowEmpty.mjs';
import '../types/arrayMember.mjs';
import '../types/overloads.mjs';
import '../types/Unique.mjs';
import '../types/optional.mjs';
import '../types/valueOf.mjs';
import '../types/changeReturns.mjs';
import '../types/dict.mjs';
import '../types/requiredKeys.mjs';
import '../types/primitive.mjs';
import '../types/IsNumberLike.mjs';
import '../types/getTypeByPath.mjs';
import 'type-fest';
import '../types/objectKeyPaths.mjs';
import '../types/ObjectKeys.mjs';
import '../types/deepPartial.mjs';
import '../types/deepRequired.mjs';
import '../types/fallback.mjs';

/**
 *
 * 包装函数，使具备重试、超时特性
 *
 */
type reliableOptions = {
    timeout: number;
    retryCount: number;
    retryInterval: number;
    noReentry: boolean;
    memorize: ((args: any[]) => string) | 'length' | boolean;
};
declare function reliable(fn: AsyncFunction, options: reliableOptions): AsyncFunction;

export { reliable, type reliableOptions };
