import '../types.mjs';
import { AsyncFunction } from '../types/asyncFunction.mjs';
import '../types/JsonObject.mjs';
import '../types/merge.mjs';
import '../types/union.mjs';
import '../types/collection.mjs';
import '../types/mutableRecordList.mjs';
import '../types/mutableRecord.mjs';
import '../types/timeDuration.mjs';
import '../types/fileSize.mjs';
import '../types/rename.mjs';
import '../types/class.mjs';
import '../types/changeFieldType.mjs';
import '../types/syncFunction.mjs';
import '../types/implementOf.mjs';
import '../types/argument.mjs';
import '../types/lastArgument.mjs';
import '../types/allowEmpty.mjs';
import '../types/arrayMember.mjs';
import '../types/overloads.mjs';
import '../types/Unique.mjs';
import '../types/optional.mjs';
import '../types/valueOf.mjs';
import '../types/changeReturns.mjs';
import '../types/dict.mjs';
import '../types/requiredKeys.mjs';
import '../types/primitive.mjs';
import '../types/IsNumberLike.mjs';
import '../types/getTypeByPath.mjs';
import 'type-fest';
import '../types/objectKeyPaths.mjs';
import '../types/ObjectKeys.mjs';
import '../types/deepPartial.mjs';
import '../types/deepRequired.mjs';
import '../types/fallback.mjs';

/**
 *  重试执行
 *   当执行fn出错(throw new Error)时尝试重试执行
 *   如果fn throw的错误类名是以Signal结尾的除外
 *   特殊情况：
 *   触发以Signal结尾的错误对象代表了传递某种信号，而不是真正的错误，因此不需要重试执行
 *   之所以有这样的考虑，是因为在些场合，我们约定当函数执行时可以通过throw new XXXSignal的方式来向上传递信号，不被视为错误
 *
 *
 * @param fn
 * @param options
 */
declare function retry(this: any, fn: Function, options: {
    count?: number;
    interval?: number;
    default?: any;
}): AsyncFunction;

export { retry };
