import '../types.mjs';
import { AsyncFunction } from '../types/asyncFunction.mjs';
import '../types/JsonObject.mjs';
import '../types/merge.mjs';
import '../types/union.mjs';
import '../types/collection.mjs';
import '../types/mutableRecordList.mjs';
import '../types/mutableRecord.mjs';
import '../types/timeDuration.mjs';
import '../types/fileSize.mjs';
import '../types/rename.mjs';
import '../types/class.mjs';
import '../types/changeFieldType.mjs';
import '../types/syncFunction.mjs';
import '../types/implementOf.mjs';
import '../types/argument.mjs';
import '../types/lastArgument.mjs';
import '../types/allowEmpty.mjs';
import '../types/arrayMember.mjs';
import '../types/overloads.mjs';
import '../types/Unique.mjs';
import '../types/optional.mjs';
import '../types/valueOf.mjs';
import '../types/changeReturns.mjs';
import '../types/dict.mjs';
import '../types/requiredKeys.mjs';
import '../types/primitive.mjs';
import '../types/IsNumberLike.mjs';
import '../types/getTypeByPath.mjs';
import 'type-fest';
import '../types/objectKeyPaths.mjs';
import '../types/ObjectKeys.mjs';
import '../types/deepPartial.mjs';
import '../types/deepRequired.mjs';
import '../types/fallback.mjs';

declare class TimeoutError extends Error {
    constructor();
}
/**
 * 包装异步函数，使之具备超时能力,当超时时会触发TIMEOUT错误
 * 当执行超过times时会触发异常
 * @param fn
 * @param options {value:<超时值>,default:<超时返回的均默认值>}
 * @return {function(): unknown}
 */
declare function timeout(fn: AsyncFunction, options?: {
    value?: number;
    default?: any;
}): AsyncFunction;

export { TimeoutError, timeout };
