import '../types.js';
import { AsyncFunction } from '../types/asyncFunction.js';
import '../types/JsonObject.js';
import '../types/merge.js';
import '../types/union.js';
import '../types/collection.js';
import '../types/mutableRecordList.js';
import '../types/mutableRecord.js';
import '../types/timeDuration.js';
import '../types/fileSize.js';
import '../types/rename.js';
import '../types/class.js';
import '../types/changeFieldType.js';
import '../types/syncFunction.js';
import '../types/implementOf.js';
import '../types/argument.js';
import '../types/lastArgument.js';
import '../types/allowEmpty.js';
import '../types/arrayMember.js';
import '../types/overloads.js';
import '../types/Unique.js';
import '../types/optional.js';
import '../types/valueOf.js';
import '../types/changeReturns.js';
import '../types/dict.js';
import '../types/requiredKeys.js';
import '../types/primitive.js';
import '../types/IsNumberLike.js';
import '../types/getTypeByPath.js';
import 'type-fest';
import '../types/objectKeyPaths.js';
import '../types/ObjectKeys.js';
import '../types/deepPartial.js';
import '../types/deepRequired.js';
import '../types/fallback.js';

declare class TimeoutError extends Error {
    constructor();
}
/**
 * 包装异步函数，使之具备超时能力,当超时时会触发TIMEOUT错误
 * 当执行超过times时会触发异常
 * @param fn
 * @param options {value:<超时值>,default:<超时返回的均默认值>}
 * @return {function(): unknown}
 */
declare function timeout(fn: AsyncFunction, options?: {
    value?: number;
    default?: any;
}): AsyncFunction;

export { TimeoutError, timeout };
