/**
 * 简单进行对象深度合并
 *
 * 返回合并后的新的对象
 *
 * 对lodash的merge的最大差别在于对数据进行替换与合并或去重
 *
 * @param {*} toObj
 * @param {*} formObj
 * @returns 合并后的对象
 */
interface DeepMergeOptions {
    $ignoreUndefined?: boolean;
    $merge: 'replace' | 'append' | 'unique' | ((fromValue: any, toValue: any, ctx: {
        key: string;
        from: any;
        to: any;
    }) => any);
}
declare function deepMerge(...objs: (Record<string | symbol, any> | undefined | null)[]): Record<string | symbol, any>;

export { type DeepMergeOptions, deepMerge };
