/**
 *
 * 判断两个对象是否相似
 *
 * 注意：
 * - 不进行值比较，只比较对象的键是否相同
 * - 严格比较，两个对象的键的数量和名称必须相同
 * - 非严格比较，srcObj的键的数量可以大小等于targetObj的键的数量
 *
 * isLikeObject({a:1,b:2},{a:1,b:2}) // true
 * isLikeObject({a:1,b:2},{a:1,b:3}) // true
 * isLikeObject({a:1,b:2},{a:1}) // true
 * isLikeObject({a:1,b:2},{a:1}，{strict:true})    // true 严格比较
 *  isLikeObject({a:1,b:2},{a:1}，{strict:false})    // false 非严格比较
 *
 */
interface IsLikeObjectOptions {
    strict?: boolean;
    deep?: boolean;
}
declare function isLikeObject(obj: Record<string | number | symbol, any>, baseObj: Record<string | number | symbol, any>, options?: IsLikeObjectOptions): boolean;

export { type IsLikeObjectOptions, isLikeObject };
