/**
 * 创建一个代理对象
 *
 * const proxy = lazyObject(()=>{
 *    return obj
 * })
 *
 * 该代理对象会在第一次访问时调用回调函数，然后将回调函数的返回值作为代理对象
 * 后续就不再进行调用
 *
 */
declare function lazyObject<T extends object>(fn: () => T): T;

export { lazyObject };
