import '../types.mjs';
import { Collection } from '../types/collection.mjs';
import '../types/JsonObject.mjs';
import '../types/merge.mjs';
import '../types/union.mjs';
import '../types/mutableRecordList.mjs';
import '../types/mutableRecord.mjs';
import '../types/timeDuration.mjs';
import '../types/fileSize.mjs';
import '../types/rename.mjs';
import '../types/class.mjs';
import '../types/changeFieldType.mjs';
import '../types/syncFunction.mjs';
import '../types/implementOf.mjs';
import '../types/argument.mjs';
import '../types/lastArgument.mjs';
import '../types/allowEmpty.mjs';
import '../types/asyncFunction.mjs';
import '../types/arrayMember.mjs';
import '../types/overloads.mjs';
import '../types/Unique.mjs';
import '../types/optional.mjs';
import '../types/valueOf.mjs';
import '../types/changeReturns.mjs';
import '../types/dict.mjs';
import '../types/requiredKeys.mjs';
import '../types/primitive.mjs';
import '../types/IsNumberLike.mjs';
import '../types/getTypeByPath.mjs';
import 'type-fest';
import '../types/objectKeyPaths.mjs';
import '../types/ObjectKeys.mjs';
import '../types/deepPartial.mjs';
import '../types/deepRequired.mjs';
import '../types/fallback.mjs';

/**
 *
 * 返回一个用来对对象成员进行遍历的迭代器
 *
 *
 *
 */

interface ObjectIteratorOptions {
    keys?: string[];
    onlyPrimitive?: boolean;
    circularRef?: 'no-check' | 'error' | 'skip';
}
interface ObjectIteratorValue {
    value?: any;
    parent?: Collection | null;
    keyOrIndex?: string | symbol | number | null;
    path: string[];
}
declare function objectIterator(obj: Collection, options?: ObjectIteratorOptions): Iterable<ObjectIteratorValue>;

export { type ObjectIteratorOptions, type ObjectIteratorValue, objectIterator };
