import '../types.js';
import { Collection } from '../types/collection.js';
import '../types/JsonObject.js';
import '../types/merge.js';
import '../types/union.js';
import '../types/mutableRecordList.js';
import '../types/mutableRecord.js';
import '../types/timeDuration.js';
import '../types/fileSize.js';
import '../types/rename.js';
import '../types/class.js';
import '../types/changeFieldType.js';
import '../types/syncFunction.js';
import '../types/implementOf.js';
import '../types/argument.js';
import '../types/lastArgument.js';
import '../types/allowEmpty.js';
import '../types/asyncFunction.js';
import '../types/arrayMember.js';
import '../types/overloads.js';
import '../types/Unique.js';
import '../types/optional.js';
import '../types/valueOf.js';
import '../types/changeReturns.js';
import '../types/dict.js';
import '../types/requiredKeys.js';
import '../types/primitive.js';
import '../types/IsNumberLike.js';
import '../types/getTypeByPath.js';
import 'type-fest';
import '../types/objectKeyPaths.js';
import '../types/ObjectKeys.js';
import '../types/deepPartial.js';
import '../types/deepRequired.js';
import '../types/fallback.js';

/**
 *
 * 返回一个用来对对象成员进行遍历的迭代器
 *
 *
 *
 */

interface ObjectIteratorOptions {
    keys?: string[];
    onlyPrimitive?: boolean;
    circularRef?: 'no-check' | 'error' | 'skip';
}
interface ObjectIteratorValue {
    value?: any;
    parent?: Collection | null;
    keyOrIndex?: string | symbol | number | null;
    path: string[];
}
declare function objectIterator(obj: Collection, options?: ObjectIteratorOptions): Iterable<ObjectIteratorValue>;

export { type ObjectIteratorOptions, type ObjectIteratorValue, objectIterator };
