import { ItemPicker } from './pick.js';

/**
 * 从对象中排除指定的字段，返回新对象
 *
 * omit({a:1,b:2,c:3},"a")  // == {a:1}
 * omit({a:1,b:2,c:3},["a","b"])  // == {a:1,b:2}
 * omit({a:1,b:2,c:3},(k,v)=>{
 *      return k =='a'
 * } )  // == {a:1}
 *
 *
 *
 */

/**
 *
 * @param source
 * @param keys
 * @param returnNewObject  是否返回新的对象，false代表会修改原对象
 * @returns
 */
declare function omit(source: Record<string | symbol, any>, keys: ItemPicker, returnNewObject?: boolean): Record<string | symbol, any>;

export { omit };
