/**
 * 从对象中提取指定的字段
 *
 * pick({a:1,b:2,c:3},"a")  // == {a:1}
 * pick({a:1,b:2,c:3},["a","b"])  // == {a:1,b:2}
 * pick({a:1,b:2,c:3},(k,v)=>{
 *      return k =='a'
 * } )  // == {a:1}
 *
 *
 *
 */
type ItemPicker = string | string[] | ((key: any, value: any) => boolean);
declare function pick(source: Record<any, any>, keys: ItemPicker, defaultValues?: Record<any, any>): Record<any, any>;

export { type ItemPicker, pick };
