/**
 *   使用正则表达式解析非标JOSN
 *
 */
/**
 * 解析非标准的 JSON 字符串
 * 非标准的 JSON 字符串指的是：
 *  - key 没有使用 "" 包裹
 *  - 字符串 value 没有使用 "" 包裹
 *
 * @param {*} str
 * @param {(key: string, value: any) => any} [callback] - 可选回调函数，用于自定义解析
 * @returns {any} 解析后的对象
 */
declare function safeParseJson(str: string, callback?: (key: string, value: any) => any): any;

export { safeParseJson };
