import { F as ForEachObjectOptions, I as IForEachCallback } from '../forEachObject-BXapIN30.mjs';
import '../types.mjs';
import '../types/JsonObject.mjs';
import '../types/merge.mjs';
import '../types/union.mjs';
import '../types/collection.mjs';
import '../types/mutableRecordList.mjs';
import '../types/mutableRecord.mjs';
import '../types/timeDuration.mjs';
import '../types/fileSize.mjs';
import '../types/rename.mjs';
import '../types/class.mjs';
import '../types/changeFieldType.mjs';
import '../types/syncFunction.mjs';
import '../types/implementOf.mjs';
import '../types/argument.mjs';
import '../types/lastArgument.mjs';
import '../types/allowEmpty.mjs';
import '../types/asyncFunction.mjs';
import '../types/arrayMember.mjs';
import '../types/overloads.mjs';
import '../types/Unique.mjs';
import '../types/optional.mjs';
import '../types/valueOf.mjs';
import '../types/changeReturns.mjs';
import '../types/dict.mjs';
import '../types/requiredKeys.mjs';
import '../types/primitive.mjs';
import '../types/IsNumberLike.mjs';
import '../types/getTypeByPath.mjs';
import 'type-fest';
import '../types/objectKeyPaths.mjs';
import '../types/ObjectKeys.mjs';
import '../types/deepPartial.mjs';
import '../types/deepRequired.mjs';
import '../types/fallback.mjs';
import './objectIterator.mjs';
import '../consts.mjs';

/**
 * 发现满足条件的对象成员
 *
 * 遍历对象，对每一个成员调用matcher({value,keyOrIndex,parent})，
 *
 * 如果matcher返回true，则返回picker({value,keyOrIndex,parent})
 *
 * searchObject({
 *      a:1，
 *      b:{x:1,y:2}
 * },({value,keyOrIndex,parent})=>{
 *      return value==2
 * },({value,keyOrIndex,parent})=>{
 *      return keyOrIndex            // 当值=1时返回y
 *      return value                 // 当值=1时返回{x:1,y:2}
 * })
 *
 
*
* @param obj
* @param callback
* @param matchOne  仅匹配一个
*/
type SearchObjectOptions = ForEachObjectOptions & {
    matchOne?: boolean;
};
declare function searchObject<T = any>(obj: any[] | object, matcher: IForEachCallback, picker?: IForEachCallback, options?: SearchObjectOptions): T | T[];

export { type SearchObjectOptions, searchObject };
