type PackageReleaseInfo = {
    name: string;
    tags: {
        [key: string]: string;
    };
    license: string;
    author: string;
    version: string;
    latestVersion: string;
    firstCreated: string;
    lastPublish: string;
    size: number;
};
/**
 * 从NPM获取包最近发布的版本信息
 * {
    tags: { latest: '1.1.30' },
    license: 'MIT',
    author: 'wxzhang',
    version: '1.1.30-latest',
    latestVersion: '1.1.30',
    firstCreated: '2022-03-24T09:32:51.748Z',
    lastPublish: '2023-01-28T08:49:33.139Z',
    size: 888125
    }
 * @param {*} packageName
 */
declare function getPackageReleaseInfo(packageName: string): Promise<{
    name: string;
    tags: string[];
    license: any;
    author: any;
    version: string;
    latestVersion: any;
    firstCreated: any;
    lastPublish: any;
    size: any;
}>;

export { type PackageReleaseInfo, getPackageReleaseInfo };
