import './replaceAll.js';

type VarReplacer = (name: string, prefix: string, suffix: string, matched: string) => string;
type ForEachReturnType = [string, string, string] | string | void | null | undefined;
/**
 *   empty:  当插值变量为空(undefined|null)时的替代值，默认''，如果empty=null则整个变量均不显示包括前后缀字符
 *   delimiter: 当变量是数组或对象时使用delimiter进行连接
 *   forEach: 遍历所有插值变量
 */
interface ReplaceVarsOptions {
    empty?: string | null;
    default?: string;
    delimiter?: string;
    forEach?: (name: string, value: string, prefix: string, suffix: string) => ForEachReturnType;
}
declare function replaceVars(text: string, vars: any, options?: ReplaceVarsOptions): string;

export { type ForEachReturnType, type ReplaceVarsOptions, type VarReplacer, replaceVars };
