import { TreeNodeBase, TreeNode } from './types.mjs';
import { I as IForEachTreeCallback, F as ForEachTreeOptions } from '../forEachTree-DC_vkeN0.mjs';

/**
 * 深度优先遍历
 *
 * 采用递归算法
 *
 * 对树节点依次进行遍历，并分别将节点数据传递给callback函数
 *
 * 当callback返回ABORT时中止遍历
 *
 * @param treeData
 * @param callback
 * @param startId  从指定的id的节点开始进行遍历，之前的节点会跳过不会执行callback
 * @param idKey 树节点id字段名称
 * @param childrenName  子节点集合的属性名称，一般是children
 * @idName 节点id的名称，默认为是id
 */
declare function forEachTreeByDfsRecursion<Node extends TreeNodeBase = TreeNode>(treeData: Node[] | Node, callback: IForEachTreeCallback<Node>, options?: ForEachTreeOptions): void;

export { forEachTreeByDfsRecursion };
