import { TreeNodeBase, TreeNode, TreeNodeOptions } from './types.mjs';
import { PidTreeNode } from './toPidTree.mjs';

/**
 *
 *  toPidTree的反向操作
 *
 * 将[{id,pid,...},{id,pid,...},...,{id,pid,...}]形式的树转换为的{id:any,children:[{},{},...,{}]}树结构
 *
 *
 */

interface FromPidTreeOptions<FromNode extends TreeNodeBase = TreeNode, ToNode extends TreeNodeBase = FromNode, IdKey extends string = 'id', ChildrenKey extends string = 'children'> extends TreeNodeOptions {
    mapper?: (node: FromNode) => ToNode;
}
declare function fromPidTree<FromNode extends PidTreeNode = PidTreeNode, ToNode extends TreeNodeBase = TreeNode<Omit<FromNode, 'pid'>>, IdKey extends string = 'id', ChildrenKey extends string = 'children'>(pidNodes: FromNode[], options?: FromPidTreeOptions<FromNode, ToNode, IdKey, ChildrenKey>): ToNode[];

export { type FromPidTreeOptions, fromPidTree };
