import { TreeNodeOptions, TreeNodeBase, TreeNode } from './types.js';

/**
 *
 * 获取所有祖先节点
 *
 * getAncestors(tree,node.id) == [<祖先节点>,...,<祖先节点>,<爷节点>,<父节点>]
 *
 *
 */

interface GetAncestorsOptions extends TreeNodeOptions {
    includeSelf?: boolean;
}
declare function getAncestors<Node extends TreeNodeBase = TreeNode, IdKey extends string = 'id'>(treeObj: Node | Node[], nodeId: Node[IdKey], options?: GetAncestorsOptions): Node[];

export { type GetAncestorsOptions, getAncestors };
