import { TreeNodeOptions, TreeNodeBase, TreeNode } from './types.mjs';

interface GetTreeNodeInfoOptions extends TreeNodeOptions {
}
interface TreeNodeInfo<Node, Path = string> {
    node: Node;
    parent: Node | undefined | null;
    path: Path[];
    level: number;
    index: number;
}
declare function getTreeNodeInfo<Node extends TreeNodeBase = TreeNode, IdKey extends string = 'id', Path = string>(treeObj: Node | Node[], nodeId: Node[IdKey], options?: GetTreeNodeInfoOptions): TreeNodeInfo<Node, Path> | undefined;

export { type GetTreeNodeInfoOptions, type TreeNodeInfo, getTreeNodeInfo };
