import { TreeNodeOptions, TreeNodeBase, TreeNode } from './types.mjs';

/**
 *
 *  获取节点之间的关系
 *
 */

interface GetTreeNodeRelationOptions extends TreeNodeOptions {
}
declare enum TreeNodeRelation {
    Same = 0,// 相同节点
    Child = 1,// 子节点
    Parent = 2,// 父节点     
    Descendants = 3,// 后代    
    Ancestors = 4,// 祖先
    Sibling = 5,// 兄弟节点    
    Unknown = 9
}
declare function getTreeNodeRelation<Node extends TreeNodeBase = TreeNode, IdKey extends string = 'id'>(treeObj: Node | Node[], nodeId: Node[IdKey], refNodeId: Node[IdKey], options?: GetTreeNodeRelationOptions): TreeNodeRelation;

export { type GetTreeNodeRelationOptions, TreeNodeRelation, getTreeNodeRelation };
