import { TreeNodeBase, TreeNode } from './types.js';

type ITreeNodeMapper<FromNode, ToNode> = ({ node, parent, level, path, index }: {
    node: FromNode;
    parent: FromNode | null;
    level: number;
    path: any[];
    index: number;
}) => ToNode;
interface MapTreeOptions<Node> {
    path?: string | ((node: Node) => any);
    from?: {
        idKey?: string;
        childrenKey?: string;
    };
    to?: {
        idKey?: string;
        childrenKey?: string;
    };
}
/**
 * 映射生成新的树
 * 每一个节点生成新的节点
 *
 * 注意生成的映射树不会更新原有的树结构
 *
 * @param treeData
 * @param mapper
 */
declare function mapTree<FromNode extends TreeNodeBase = TreeNode, ToNode extends TreeNodeBase = FromNode>(treeData: FromNode[] | FromNode, mapper: ITreeNodeMapper<FromNode, ToNode>, options?: MapTreeOptions<FromNode>): ToNode[] | ToNode;

export { type ITreeNodeMapper, type MapTreeOptions, mapTree };
