type TreeNodeChildren<Node extends Record<string, any>, IdKey extends string, ChildrenKey extends string> = {
    [key in ChildrenKey]?: TreeNode<Node, IdKey, ChildrenKey>[];
};
type TreeNodeId<IdKey extends string = 'id', IdType = number> = {
    [key in IdKey]: IdType;
};
type TreeNode<Node extends Record<string, any> = {
    [key: string]: any;
}, // 节点数据
IdKey extends string = 'id', ChildrenKey extends string = 'children'> = {
    [key in IdKey]: Node[IdKey];
} & TreeNodeChildren<Node, IdKey, ChildrenKey> & Node & TreeNodeId<IdKey, Node[IdKey]>;
type TreeNodeBase = TreeNode<Record<string, any>, string>;
type EmptyTree = {};
type Tree<Node extends Record<string, any> = {
    [key: string]: any;
}, // 节点数据
IdKey extends string = 'id', ChildrenKey extends string = 'children'> = EmptyTree | TreeNode<Node, IdKey, ChildrenKey> | TreeNode<Node, IdKey, ChildrenKey>[];
interface TreeNodeOptions<Node = any, Path = any> {
    childrenKey?: string;
    idKey?: string;
    path?: string | ((node: Node) => Path);
}

export type { EmptyTree, Tree, TreeNode, TreeNodeBase, TreeNodeChildren, TreeNodeId, TreeNodeOptions };
