export { JSONObject } from './types/JsonObject.mjs';
export { Merge } from './types/merge.mjs';
export { Collection } from './types/collection.mjs';
export { MutableRecordList } from './types/mutableRecordList.mjs';
export { MutableRecord } from './types/mutableRecord.mjs';
export { TimeDuration } from './types/timeDuration.mjs';
export { FileSize } from './types/fileSize.mjs';
export { Rename } from './types/rename.mjs';
export { Class } from './types/class.mjs';
export { ChangeFieldType } from './types/changeFieldType.mjs';
export { SyncFunction } from './types/syncFunction.mjs';
export { ImplementOf } from './types/implementOf.mjs';
export { Argument } from './types/argument.mjs';
export { LastArgument } from './types/lastArgument.mjs';
export { AllowEmpty } from './types/allowEmpty.mjs';
export { AsyncFunction } from './types/asyncFunction.mjs';
export { ArrayMember } from './types/arrayMember.mjs';
export { Overloads } from './types/overloads.mjs';
export { Optional } from './types/optional.mjs';
export { ValueOf } from './types/valueOf.mjs';
export { ChangeReturns } from './types/changeReturns.mjs';
export { Dict } from './types/dict.mjs';
export { RequiredKeys } from './types/requiredKeys.mjs';
export { Primitive } from './types/primitive.mjs';
export { IsNumberLike } from './types/IsNumberLike.mjs';
export { GetTypeByPath } from './types/getTypeByPath.mjs';
export { ChangePathDelimiter, ObjectKeyPaths } from './types/objectKeyPaths.mjs';
export { Union } from './types/union.mjs';
export { Unique } from './types/Unique.mjs';
export { ObjectKeys } from './types/ObjectKeys.mjs';
export { DeepOptional, DeepPartial } from './types/deepPartial.mjs';
export { DeepRequired } from './types/deepRequired.mjs';
export { Fallback } from './types/fallback.mjs';
import 'type-fest';

declare global {
    interface String {
        params(vars: Record<string, any> | any[] | Set<any> | Map<string, any>): string;
        params(...vars: any[]): string;
    }
}
