export { JSONObject } from './types/JsonObject.js';
export { Merge } from './types/merge.js';
export { Collection } from './types/collection.js';
export { MutableRecordList } from './types/mutableRecordList.js';
export { MutableRecord } from './types/mutableRecord.js';
export { TimeDuration } from './types/timeDuration.js';
export { FileSize } from './types/fileSize.js';
export { Rename } from './types/rename.js';
export { Class } from './types/class.js';
export { ChangeFieldType } from './types/changeFieldType.js';
export { SyncFunction } from './types/syncFunction.js';
export { ImplementOf } from './types/implementOf.js';
export { Argument } from './types/argument.js';
export { LastArgument } from './types/lastArgument.js';
export { AllowEmpty } from './types/allowEmpty.js';
export { AsyncFunction } from './types/asyncFunction.js';
export { ArrayMember } from './types/arrayMember.js';
export { Overloads } from './types/overloads.js';
export { Optional } from './types/optional.js';
export { ValueOf } from './types/valueOf.js';
export { ChangeReturns } from './types/changeReturns.js';
export { Dict } from './types/dict.js';
export { RequiredKeys } from './types/requiredKeys.js';
export { Primitive } from './types/primitive.js';
export { IsNumberLike } from './types/IsNumberLike.js';
export { GetTypeByPath } from './types/getTypeByPath.js';
export { ChangePathDelimiter, ObjectKeyPaths } from './types/objectKeyPaths.js';
export { Union } from './types/union.js';
export { Unique } from './types/Unique.js';
export { ObjectKeys } from './types/ObjectKeys.js';
export { DeepOptional, DeepPartial } from './types/deepPartial.js';
export { DeepRequired } from './types/deepRequired.js';
export { Fallback } from './types/fallback.js';
import 'type-fest';

declare global {
    interface String {
        params(vars: Record<string, any> | any[] | Set<any> | Map<string, any>): string;
        params(...vars: any[]): string;
    }
}
